%define     major 0
%define		package_name gda
Summary:	GNU Data Access
Name: 		libgda
Version:	0.2.3
Release: 	2mdk
Copyright: 	GPL/LGPL
Group: 		Databases
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-db/%{name}-%{version}.tar.bz2
# (fc) 0.2.3-2mdk disable checking glib2 until it is used mainstream
Patch0:		libgda-0.2.3-disableglib2.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel ORBit-devel libGConf1-devel liboaf0-devel libxml-devel MySQL-devel postgresql-devel
URL: 		http://www.gnome.org/projects/gnome-db/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{package_name}
Summary: GNU Data Access 
Group: 		Databases

%description -n %{package_name}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{name}%{major}
Summary: GNU Data Access 
Group: 		Databases
Provides:	%{name} = %{version}
Obsoletes:	%{name}

%description -n %{name}%{major}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{name}%{major}-devel
Summary: GNU Data Access Development
Group: 		Development/Databases
Requires:	%{name}%{major} = %{version}
Provides:	%{name}-devel

%description -n %{name}%{major}-devel
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

%package -n %{package_name}-postgres%{major}
Summary: GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}
Provides:	%{package_name}-postgres = %{version}
Obsoletes:	%{package_name}-postgres

%description -n %{package_name}-postgres%{major}
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA PostgreSQL provider

%package -n %{package_name}-mysql%{major}
Summary: GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}
Provides:	%{package_name}-mysql = %{version}
Obsoletes:	%{package_name}-mysql

%description -n %{package_name}-mysql%{major}
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA MySQL provider


%prep
%setup -q
%patch0 -p 1 -b .glib2

#needed by patch0
autoconf

%build

%configure --with-postgres=yes --with-mysql=yes

#doesn't support parallel compilation
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} GDA_oafdir=$RPM_BUILD_ROOT%{_datadir}/oaf

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig
							  
%postun -n %{name}%{major} -p /sbin/ldconfig
							  
%post -n gda-postgres%{major} -p /sbin/ldconfig
							  
%postun -n gda-postgres%{major} -p /sbin/ldconfig
							  
%post -n gda-mysql%{major} -p /sbin/ldconfig
							  
%postun -n gda-mysql%{major} -p /sbin/ldconfig
							  
%files -f %{name}.lang -n %{package_name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gda-test
%dir %{_datadir}/gda
%{_datadir}/gda/dtd
%{_datadir}/gnome/help/libgda

%files -n %{name}%{major}
%defattr(-, root, root)
%{_libdir}/libgda-common.so.*
%{_libdir}/libgda-client.so.*
%{_libdir}/libgda-server.so.*

%files -n %{name}%{major}-devel
%defattr(-, root, root)

%{_bindir}/gda-build*
%{_bindir}/gda-run
%{_bindir}/gda-config
%{_libdir}/lib*.so
%{_libdir}/libgda-common.*a
%{_libdir}/libgda-client.*a
%{_libdir}/libgda-server.*a
%{_includedir}/gda
%{_datadir}/idl/*
%{_datadir}/gda/templates

%files -n gda-postgres%{major}
%defattr(-, root, root)

%{_bindir}/gda-postgres-srv
%{_libdir}/libgda-postgres.so.*
%{_datadir}/oaf/GNOME_GDA_Provider_Postgres.*

%files -n gda-mysql%{major}
%defattr(-, root, root)

%{_bindir}/gda-mysql-srv
%{_libdir}/libgda-mysql.so.*
%{_datadir}/oaf/GNOME_GDA_Provider_MySQL.*

%changelog
* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Disable checking of glib2 (patch0)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libified

* Sat Sep 2 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
